playground
Get a playground trace
Returns the metrics Event captured for a playground request, keyed by the X-AG-Trace-Id returned in the proxy response. Traces expire after a short TTL.
GET
/
v1
/
playground
/
traces
/
{trace_id}
Get a playground trace
curl --request GET \
--url https://agentgateway-admin.dev.neuraltrust.ai/v1/playground/traces/{trace_id} \
--header 'Authorization: <api-key>'{
"attempts": [
{
"attempt": 123,
"fallback": true,
"latency_ms": 123,
"outcome": "<string>",
"pinned": true,
"provider": "<string>",
"registry_id": "<string>",
"route": "<string>",
"status_code": 123
}
],
"consumer": {
"id": "<string>",
"name": "<string>"
},
"cost": {
"completion_usd": 123,
"currency": "<string>",
"prompt_usd": 123,
"total_usd": 123
},
"end_timestamp": 123,
"gateway_id": "<string>",
"ip": "<string>",
"is_flagged": true,
"kind": "<string>",
"latency": {
"gateway_ms": 123,
"policies_ms": 123,
"provider_ms": 123,
"routing_ms": 123,
"total_ms": 123
},
"mcp": {
"catalog_code": "<string>",
"host": "<string>",
"method": "<string>",
"operation": "<string>",
"prompt": "<string>",
"registry_id": "<string>",
"resource_uri": "<string>",
"rpc_error_code": 123,
"server_name": "<string>",
"targets": 123,
"tool": "<string>",
"transport": "<string>",
"upstream_latency_ms": 123,
"upstream_status": "<string>",
"upstream_tool": "<string>"
},
"occurred_on": 123,
"policy_chain": [
{
"decision": "<string>",
"error": true,
"extras": "<unknown>",
"flagged": true,
"latency_ms": 123,
"name": "<string>",
"score": 123,
"score_label": "<string>",
"stage": "<string>",
"status_code": 123
}
],
"request": {
"body": "<string>",
"headers": {},
"max_tokens": 123,
"method": "<string>",
"model": "<string>",
"model_label": "<string>",
"path": "<string>",
"prompt_tokens": 123,
"provider": "<string>",
"registry_id": "<string>",
"requested_model": "<string>",
"stream": true,
"temperature": 123
},
"response": {
"body": "<string>",
"completion_tokens": 123,
"finish_reason": "<string>",
"headers": {},
"latency_ms": 123,
"status_code": 123,
"streaming": true
},
"schema_version": 123,
"security": [
"<string>"
],
"session_id": "<string>",
"status": {
"code": 123,
"is_timeout": true,
"outcome": "<string>",
"reason": "<string>"
},
"team_id": "<string>",
"timestamp": "<string>",
"trace_id": "<string>",
"turn_id": "<string>",
"usage": {
"cached_input_tokens": 123,
"completion_tokens": 123,
"prompt_tokens": 123,
"reasoning_output_tokens": 123,
"total_tokens": 123
}
}Authorizations
Path Parameters
Trace id (X-AG-Trace-Id from the proxy response)
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get a playground trace
curl --request GET \
--url https://agentgateway-admin.dev.neuraltrust.ai/v1/playground/traces/{trace_id} \
--header 'Authorization: <api-key>'{
"attempts": [
{
"attempt": 123,
"fallback": true,
"latency_ms": 123,
"outcome": "<string>",
"pinned": true,
"provider": "<string>",
"registry_id": "<string>",
"route": "<string>",
"status_code": 123
}
],
"consumer": {
"id": "<string>",
"name": "<string>"
},
"cost": {
"completion_usd": 123,
"currency": "<string>",
"prompt_usd": 123,
"total_usd": 123
},
"end_timestamp": 123,
"gateway_id": "<string>",
"ip": "<string>",
"is_flagged": true,
"kind": "<string>",
"latency": {
"gateway_ms": 123,
"policies_ms": 123,
"provider_ms": 123,
"routing_ms": 123,
"total_ms": 123
},
"mcp": {
"catalog_code": "<string>",
"host": "<string>",
"method": "<string>",
"operation": "<string>",
"prompt": "<string>",
"registry_id": "<string>",
"resource_uri": "<string>",
"rpc_error_code": 123,
"server_name": "<string>",
"targets": 123,
"tool": "<string>",
"transport": "<string>",
"upstream_latency_ms": 123,
"upstream_status": "<string>",
"upstream_tool": "<string>"
},
"occurred_on": 123,
"policy_chain": [
{
"decision": "<string>",
"error": true,
"extras": "<unknown>",
"flagged": true,
"latency_ms": 123,
"name": "<string>",
"score": 123,
"score_label": "<string>",
"stage": "<string>",
"status_code": 123
}
],
"request": {
"body": "<string>",
"headers": {},
"max_tokens": 123,
"method": "<string>",
"model": "<string>",
"model_label": "<string>",
"path": "<string>",
"prompt_tokens": 123,
"provider": "<string>",
"registry_id": "<string>",
"requested_model": "<string>",
"stream": true,
"temperature": 123
},
"response": {
"body": "<string>",
"completion_tokens": 123,
"finish_reason": "<string>",
"headers": {},
"latency_ms": 123,
"status_code": 123,
"streaming": true
},
"schema_version": 123,
"security": [
"<string>"
],
"session_id": "<string>",
"status": {
"code": 123,
"is_timeout": true,
"outcome": "<string>",
"reason": "<string>"
},
"team_id": "<string>",
"timestamp": "<string>",
"trace_id": "<string>",
"turn_id": "<string>",
"usage": {
"cached_input_tokens": 123,
"completion_tokens": 123,
"prompt_tokens": 123,
"reasoning_output_tokens": 123,
"total_tokens": 123
}
}